## installation-guide 20250418+rebuild

=== debian/changelog ===
installation-guide (20250418+rebuild) unstable; urgency=medium

  * Rebuild on buildds.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 18 Apr 2025 13:22:39 +0200

installation-guide (20250418) unstable; urgency=medium

  [ Holger Wansing ]
  * Finally remove MS-DOS from the doc.
  * Unification regarding Windows versions.
  * Remove hint for unofficial builds, that d-i is still in beta state.
  * Adapt lowmem values for armel, ppc64el + s390x according to lowmem package.
  * Overhaul ram size / harddisk size requirements / recommendations for
    simplification and consistency.
  * Update recommended size for swap partitions.
  * Disable the build for mipsel (no longer a release arch).
  * Clean-up content for kfreebsd from the guide (has finally been removed from
    ports).
  * Bump release name to trixie.
  * Remove 'full CD images' / 'full CD set' from the manual; they are no longer
    built.
  * Update name of 'standard system utilities' task.
  * Remove outdated information regarding partitioning/disk geometry etc.
  * Disable the build for armel and i386 (no longer supported by
    debian-installer).
  * Update list of partitioning schemes according to the new recipes in
    partman-auto.
  * Add build + package for new arch riscv64.
  * Document the new blendsel dialog.
  * Fix dead link to list of Debian mirrors. Closes: #1101010.
  * Document, that ext4 is now the default filesystem for /boot.

  [ Samuel Thibault ]
  * Fix locale preseeding: Rather document to use a UTF-8 locale.
    (Closes: #1065570)
  * Document preseeding espeakup.

  [ Oliver Kellogg ]
  * Fix wrong word in GPL.

  [ Philip Hands ]
  * document auto-install/cloak_initrd_preseed

  [ New complete translation ]
  * Ukranian translation is now fully complete, thanks to all translators!

  [ Updated translations ]
  * Catalan by d and poc senderi
  * Czech by Anton and Tomas Koutek
  * Simplified Chinese by Boyuan Yang, Li Zelin, Xi Lu and Wenbin Lv
  * Traditional Chinese by Ricky From Hong Kong and yubike
  * Danish by Allan Nordhøy
  * Dutch by Frans Spiesschaert
  * Finnish by Ricky Tigg and Kieli Puoli
  * German by Holger Wansing
  * Hungarian by Szia Tomi and RViktor
  * Indonesian by Andika Triwidada
  * Italian by Luca Monducci
  * Japanese by Sadaharu Wakisaka
  * Kabyle by ButterflyOfFire
  * Korean by Changwoo Ryu
  * Norwegian Bokmål by Allan Nordhøy
  * Norwegian Nynorsk by S Bre
  * Portuguese by Miguel Figueiredo
  * Romanian by Remus-Gabriel Chelu
  * Swedish by Allan Nordhøy, bittin, Luna Jernberg and Daniel Nylander
  * Spanish by gallegonovato
  * Ukranian by Serhii Horichenko, Hotripak, shukyo asura, Unnumbered Elephant
    and Максим Горпиніч

 -- Samuel Thibault <sthibault@debian.org>  Fri, 18 Apr 2025 01:29:14 +0200

## installation-guide 20250429

=== debian/changelog ===
installation-guide (20250429) unstable; urgency=medium

  * build/entities/common.ent: Update figures.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 29 Apr 2025 22:58:51 +0200

=== debian/control ===
Source: installation-guide
Section: doc
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/installer-team/installation-guide.git
Vcs-Browser: https://salsa.debian.org/installer-team/installation-guide
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: docbook, docbook-xml, docbook-xsl, xsltproc, gawk, libhtml-parser-perl, w3m, poxml, dblatex, docbook-dsssl, ghostscript, texlive-xetex, lmodern, texlive-lang-chinese, texlive-lang-cyrillic, texlive-lang-czechslovak, texlive-lang-european, texlive-lang-french, texlive-lang-german, texlive-lang-greek, texlive-lang-italian, texlive-lang-korean, texlive-lang-other, texlive-lang-portuguese, texlive-lang-spanish, fonts-wqy-microhei, fonts-vlgothic, fonts-noto-cjk, fonts-freefont-ttf
# This comment can also be used to generate a Build-Depends-Indep line, by
# running the debian/genbuilddeps program. So put each build dep on its own
# line, prefixed by " - " and to comment out a build dep, start the line
# with two hashes. And don't edit the Build-Depends-Indep line above by hand.
#
#	- docbook
#	- docbook-xml
#	- docbook-xsl
#	- xsltproc
#		The manual is a docbook XML document, so needs these to	build.
#	- gawk
#	- libhtml-parser-perl
#		Used as part of the manual build process.
#	- w3m
#		Used to generate plain text manual from html.
#	- poxml
#		Translations of the manual are done in po files via poxml.
#	- dblatex
#		pdf variants are build using dblatex.
#	- docbook-dsssl
#		Used for producing pdf files.
#	- ghostscript
#		For pdfs.
#	- texlive-xetex
# 	- lmodern
#		For pdfs.
#	- texlive-lang-chinese
#	- texlive-lang-cyrillic
#	- texlive-lang-czechslovak
#	- texlive-lang-european
##	- texlive-lang-danish
##	- texlive-lang-dutch
##	- texlive-lang-finnish
#	- texlive-lang-french
#	- texlive-lang-german
#	- texlive-lang-greek
#	- texlive-lang-italian
#	- texlive-lang-korean
#	- texlive-lang-other
#		Contains hyphenation for Romanian.
#	- texlive-lang-portuguese
#	- texlive-lang-spanish
##	- texlive-lang-swedish
##	- texlive-lang-vietnamese
#		All texlive-lang-* packages provide hyphenation and other
#		language-specific support.
#	- fonts-wqy-microhei
#		Font for Chinese pdf.
#	- fonts-vlgothic
#		Font for Japanese pdf.
#	- fonts-noto-cjk
#		Font for Korean pdf.
#	- fonts-freefont-ttf

Package: installation-guide-amd64
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for amd64
 This package contains the Debian installation guide for the AMD64
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-arm64
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for arm64
 This package contains the Debian installation guide for the 64bit ARM
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

#Package: installation-guide-armel
#Architecture: all
#Multi-Arch: foreign
#Depends: ${misc:Depends}
#Conflicts: installation-guide
#Description: Debian installation guide for armel
# This package contains the Debian installation guide for the ARM
# architecture, in a variety of languages.
# .
# A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-armhf
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for armhf
 This package contains the Debian installation guide for the ARM
 with Hardware FPU architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

#Package: installation-guide-hppa
#Architecture: all
#Multi-Arch: foreign
#Depends: ${misc:Depends}
#Conflicts: installation-guide
#Description: Debian installation guide for hppa
# This package contains the Debian installation guide for the PA-RISC
# architecture, in a variety of languages.
# .
# A shorter reference, the installation HOWTO, is included in an appendix.

#Package: installation-guide-i386
#Architecture: all
#Multi-Arch: foreign
#Depends: ${misc:Depends}
#Conflicts: installation-guide
#Description: Debian installation guide for i386
# This package contains the Debian installation guide for the Intel x86
# architecture, in a variety of languages.
# .
# A shorter reference, the installation HOWTO, is included in an appendix.

# Package: installation-guide-ia64
# Architecture: all
# Multi-Arch: foreign
# Depends: ${misc:Depends}
# Conflicts: installation-guide
# Description: Debian installation guide for ia64
#  This package contains the Debian installation guide for the IA-64
#  architecture, in a variety of languages.
#  .
#  A shorter reference, the installation HOWTO, is included in an appendix.
#
#Package: installation-guide-kfreebsd-amd64
#Architecture: all
#Multi-Arch: foreign
#Depends: ${misc:Depends}
#Conflicts: installation-guide
#Description: Debian installation guide for kFreeBSD amd64
# This package contains the Debian installation guide for the kFreeBSD kernel
# running on the AMD64 architecture, in a variety of languages.
# .
# A shorter reference, the installation HOWTO, is included in an appendix.
#
#Package: installation-guide-kfreebsd-i386
#Architecture: all
#Multi-Arch: foreign
#Depends: ${misc:Depends}
#Conflicts: installation-guide
#Description: Debian installation guide for kFreeBSD i386
# This package contains the Debian installation guide for the kFreeBSD kernel
# running on the Intel x86 architecture, in a variety of languages.
# .
# A shorter reference, the installation HOWTO, is included in an appendix.
#
#Package: installation-guide-mips
#Architecture: all
#Multi-Arch: foreign
#Depends: ${misc:Depends}
#Conflicts: installation-guide
#Description: Debian installation guide for mips
# This package contains the Debian installation guide for the big-endian
# 32bit MIPS architecture, in a variety of languages.
# .
# A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-mips64el
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for mips64el
 This package contains the Debian installation guide for the little-endian
 64bit MIPS architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

#Package: installation-guide-mipsel
#Architecture: all
#Multi-Arch: foreign
#Depends: ${misc:Depends}
#Conflicts: installation-guide
#Description: Debian installation guide for mipsel
# This package contains the Debian installation guide for the little-endian
# 32bit MIPS architecture, in a variety of languages.
# .
# A shorter reference, the installation HOWTO, is included in an appendix.

#Package: installation-guide-powerpc
#Architecture: all
#Multi-Arch: foreign
#Depends: ${misc:Depends}
#Conflicts: installation-guide
#Description: Debian installation guide for powerpc
# This package contains the Debian installation guide for the big-endian
# PowerPC architecture, in a variety of languages.
# .
# A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-ppc64el
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for powerpc
 This package contains the Debian installation guide for the little-endian
 64bit PowerPC architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-riscv64
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for RISC-V
 This package contains the Debian installation guide for the little-endian
 64bit RISC-V architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-s390x
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for s390x
 This package contains the Debian installation guide for the 64bit S/390
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

# Package: installation-guide-sparc
# Architecture: all
# Multi-Arch: foreign
# Depends: ${misc:Depends}
# Conflicts: installation-guide
# Description: Debian installation guide for sparc
#  This package contains the Debian installation guide for the Sparc
#  architecture, in a variety of languages.
#  .
#  A shorter reference, the installation HOWTO, is included in an appendix.

## installation-guide 20250707

=== debian/changelog ===
installation-guide (20250707) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Delete obsolete information about kernel modules for mouse drivers.

  [ Holger Wansing ]
  * Disable the build for mips64el (no longer a release arch).

  [ Thomas Lange ]
  * Add info about web service for fully-automated-install images.

  [ Updated translations ]
  * Catalan by poc senderi
  * Dutch by Frans Spiesschaert
  * German by Holger Wansing
  * Greek by galaxico
  * Hungarian by RViktor and Szia Tomi
  * Italian by Luca
  * Japanese by Sadaharu Wakisaka
  * Kabyle by ButterflyOfFire
  * Korean by Changwoo Ryu
  * Portuguese by Miguel Figueiredo
  * Romanian by Remus-Gabriel Chelu
  * Ukranian by Максим Горпиніч

 -- Samuel Thibault <sthibault@debian.org>  Mon, 07 Jul 2025 10:41:15 +0200

## installation-guide 20250803

=== debian/changelog ===
installation-guide (20250803) unstable; urgency=medium

  [ Samuel Thibault ]
  * Fix fb=false parameter into nomodeset.

  [ Holger Wansing ]
  * Change charset for russian txt variant to UTF-8. Thanks to Thomas Lange
    for the hint.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Aug 2025 21:43:52 +0200

=== debian/control ===
--- 
+++ 
@@ -172,16 +172,16 @@
 # .
 # A shorter reference, the installation HOWTO, is included in an appendix.
 
-Package: installation-guide-mips64el
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Conflicts: installation-guide
-Description: Debian installation guide for mips64el
- This package contains the Debian installation guide for the little-endian
- 64bit MIPS architecture, in a variety of languages.
- .
- A shorter reference, the installation HOWTO, is included in an appendix.
+#Package: installation-guide-mips64el
+#Architecture: all
+#Multi-Arch: foreign
+#Depends: ${misc:Depends}
+#Conflicts: installation-guide
+#Description: Debian installation guide for mips64el
+# This package contains the Debian installation guide for the little-endian
+# 64bit MIPS architecture, in a variety of languages.
+# .
+# A shorter reference, the installation HOWTO, is included in an appendix.
 
 #Package: installation-guide-mipsel
 #Architecture: all

## installation-guide 20250803+deb13u1

=== debian/changelog ===
installation-guide (20250803+deb13u1) trixie; urgency=medium

  * Add Ukrainian (new translation) and Hungarian (re-completed) to langlist,
    to make them appear in the package and on the website.
  * Fix boot-dev-select-arm64 and armhf-armmp-supported-platforms hyperlinks.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 17 Aug 2025 11:10:36 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
ARCHS=$(shell cd debian; ./getfromlist archlist)
LANGS=$(shell cd debian; ./getfromlist langlist)
DATE=$(shell echo $(DEB_VERSION) | cut -d '.' -f 1)
ifeq ($(DEB_DISTRIBUTION),unstable)
DEB_DISTRIBUTION=trixie
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
DEB_PARALLEL_JOBS ?= $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ifneq (,$(DEB_PARALLEL_JOBS))
PARALLEL=-j$(DEB_PARALLEL_JOBS)
endif

export FORCE_SOURCE_DATE=1

# Avoid “Fontconfig error: No writable cache directories” in chroots:
export HOME=$(CURDIR)/debian/fake-home

MANTMP=$(shell pwd)/debian/manual

clean:
	dh_testdir
	dh_testroot
	dh_clean build-stamp
	rm -rf $(MANTMP) $(CURDIR)/debian/fake-home
	dh_clean doc-base-stamp
	rm -rf debian/installation-guide-*.doc-base.*
	rm -rf build/build.out* build/build.tmp* build/build.po

doc-base: doc-base-stamp
doc-base-stamp:
	@echo $(ARCHS)
	rm -f $@
	rm -rf debian/installation-guide-*.doc-base.*
	set -e; cd debian && \
	    for arch in $(ARCHS); do \
		for lang in $(LANGS); do \
		    arch_full="$$(grep "^$$arch[[:space:]]" archlist | cut -f 2)"; \
		    lang_full="$$(grep "^$$lang[[:space:]]" langlist | cut -f 2)"; \
		    lang_id="$$(echo $$lang | tr A-Z a-z | sed "s/_/-/")"; \
		    sed -e "s:%ARCH%:$$arch:g" -e "s:%ARCH_FULL%:$$arch_full:g" \
			-e "s:%LANG%:$$lang:g" -e "s:%LANG_FULL%:$$lang_full:g" \
			-e "s:%LANG_ID%:$$lang_id:g" \
			TEMPLATE.doc-base >installation-guide-$$arch.doc-base.$$lang; \
		    if [ ! -e manual/$$arch/$$lang/install.$$lang.pdf ]; then \
			    sed -i "/Format: pdf/,/^$$/d" installation-guide-$$arch.doc-base.$$lang; \
		    fi; \
		done; \
	    done
	touch $@

build: build-arch build-indep

build-arch:

build-indep: build-stamp
build-stamp:
	rm -f $@
	-rm -rf $(MANTMP)
	set -e && cd build && \
		MAKEFLAGS="$(PARALLEL)" \
		official_build=1 manual_release=$(DEB_DISTRIBUTION) \
		architectures="$(ARCHS)" languages="$(LANGS)" \
		destination=$(MANTMP)/'$${arch}' noarchdir=1 \
		./build.sh
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
binary-arch:

binary-indep: install doc-base
	dh_testdir
	dh_testroot
	dh_installchangelogs
	for arch in $(ARCHS) ; do \
		dh_installdocs -p installation-guide-$$arch $(MANTMP)/$$arch/* ; \
	done
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep build-images clean binary-indep binary-arch binary install

## installation-guide 20250823

=== build/Makefile ===
TARGETS=$(foreach language,$(languages),$(addprefix $(language).,$(architectures)))

.PHONY: $(TARGETS)

all: $(TARGETS)

$(TARGETS): %:
	set -e ; \
	target=$@ ; \
	lang=$${target%.*} ; \
	lang_id="$$(echo $$lang | tr A-Z a-z | sed "s/_/-/")" ; \
	arch=$${target#*.} ; \
	eval arch_destination=$$destination ; \
	echo "Architecture: $$arch" ; \
	if [ -n "$$noarchdir" ]; then \
		destsuffix="$$lang" ; \
	else \
		if [ -n "$$web" ] ; then \
			destsuffix="$$arch" ; \
		else \
			destsuffix="$$lang.$$arch" ; \
		fi ; \
	fi ; \
	export destdir=build.out.$$lang.$$arch ; \
	export tempdir=build.tmp.$$lang.$$arch ; \
	echo "Calling ./buildone.sh \"$$arch\" \"$$lang\" \"$$formats\"" ; \
	./buildone.sh "$$arch" "$$lang" "$$formats" ; \
	mkdir -p "$$arch_destination/$$destsuffix" ; \
	for format in $$formats; do \
		if [ "$$format" = html ]; then \
			mkdir -p "$$arch_destination/$$destsuffix/images" ; \
			mv ./$$destdir/html/images/* "$$arch_destination/$$destsuffix/images" ; \
			rmdir ./$$destdir/html/images ; \
			mv ./$$destdir/html/* "$$arch_destination/$$destsuffix" ; \
		else \
			# Do not fail because of missing PDF support for some languages \
			if [ -n "$$web" ] ; then \
				mv ./$$destdir/install.$$lang.$$format "$$arch_destination/$$destsuffix/install.$$lang_id.$$format" 2>/dev/null || true ; \
			else \
				mv ./$$destdir/install.$$lang.$$format "$$arch_destination/$$destsuffix" 2>/dev/null || true ; \
			fi ; \
		fi ; \
	done ; \
	./clear.sh

=== debian/changelog ===
installation-guide (20250823) unstable; urgency=medium

  [ Holger Wansing ]
  * Add Ukrainian (new translation) and Hungarian (re-completed) to langlist,
    to make them appear in the package and on the website.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 23 Aug 2025 23:42:40 +0200
